<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:31:08 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TextEditorModelPackage.Literals (org.eclipse.papyrus.designer.languages.common.texteditor.model 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TextEditorModelPackage.Literals (org.eclipse.papyrus.designer.languages.common.texteditor.model 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TextEditorModelPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModelPackage.html" title="interface in org.eclipse.papyrus.languages.designer.common.texteditor.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModelPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="TextEditorModelPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.languages.designer.common.texteditor.model</div>
<h2 title="Interface TextEditorModelPackage.Literals" class="title">Interface TextEditorModelPackage.Literals</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModelPackage.html" title="interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModelPackage</a></dd>
</dl>
<hr>
<br>
<pre>public static interface <span class="typeNameLabel">TextEditorModelPackage.Literals</span></pre>
<div class="block"><!-- begin-user-doc -->
 Defines literals for the meta objects that represent
 <ul>
 <li>each class,</li>
 <li>each feature of each class,</li>
 <li>each enum,</li>
 <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModelPackage.Literals.html#TEXT_EDITOR_MODEL">TEXT_EDITOR_MODEL</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html" title="class in org.eclipse.papyrus.languages.designer.common.texteditor.model.impl"><code><em>Text Editor Model</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModelPackage.Literals.html#TEXT_EDITOR_MODEL__EDITED_OBJECT">TEXT_EDITOR_MODEL__EDITED_OBJECT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Edited Object</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModelPackage.Literals.html#TEXT_EDITOR_MODEL__GENERATOR_ID">TEXT_EDITOR_MODEL__GENERATOR_ID</a></span></code>
<div class="block">The meta object literal for the '<em><b>Generator ID</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModelPackage.Literals.html#TEXT_EDITOR_MODEL__LINE_NUMBER">TEXT_EDITOR_MODEL__LINE_NUMBER</a></span></code>
<div class="block">The meta object literal for the '<em><b>Line Number</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModelPackage.Literals.html#TEXT_EDITOR_MODEL__NAME">TEXT_EDITOR_MODEL__NAME</a></span></code>
<div class="block">The meta object literal for the '<em><b>Name</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModelPackage.Literals.html#TEXT_EDITOR_MODEL__SELECTED_OBJECT">TEXT_EDITOR_MODEL__SELECTED_OBJECT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Selected Object</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModelPackage.Literals.html#TEXT_EDITOR_MODEL__TYPE">TEXT_EDITOR_MODEL__TYPE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Type</b></em>' attribute feature.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="TEXT_EDITOR_MODEL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_EDITOR_MODEL</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass TEXT_EDITOR_MODEL</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html" title="class in org.eclipse.papyrus.languages.designer.common.texteditor.model.impl"><code><em>Text Editor Model</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelImpl.html" title="class in org.eclipse.papyrus.languages.designer.common.texteditor.model.impl"><code>TextEditorModelImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/impl/TextEditorModelPackageImpl.html#getTextEditorModel--"><code>TextEditorModelPackageImpl.getTextEditorModel()</code></a></dd>
</dl>
</li>
</ul>
<a name="TEXT_EDITOR_MODEL__EDITED_OBJECT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_EDITOR_MODEL__EDITED_OBJECT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference TEXT_EDITOR_MODEL__EDITED_OBJECT</pre>
<div class="block">The meta object literal for the '<em><b>Edited Object</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TEXT_EDITOR_MODEL__TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_EDITOR_MODEL__TYPE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute TEXT_EDITOR_MODEL__TYPE</pre>
<div class="block">The meta object literal for the '<em><b>Type</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TEXT_EDITOR_MODEL__NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_EDITOR_MODEL__NAME</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute TEXT_EDITOR_MODEL__NAME</pre>
<div class="block">The meta object literal for the '<em><b>Name</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TEXT_EDITOR_MODEL__SELECTED_OBJECT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_EDITOR_MODEL__SELECTED_OBJECT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference TEXT_EDITOR_MODEL__SELECTED_OBJECT</pre>
<div class="block">The meta object literal for the '<em><b>Selected Object</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TEXT_EDITOR_MODEL__LINE_NUMBER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_EDITOR_MODEL__LINE_NUMBER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute TEXT_EDITOR_MODEL__LINE_NUMBER</pre>
<div class="block">The meta object literal for the '<em><b>Line Number</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TEXT_EDITOR_MODEL__GENERATOR_ID">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TEXT_EDITOR_MODEL__GENERATOR_ID</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute TEXT_EDITOR_MODEL__GENERATOR_ID</pre>
<div class="block">The meta object literal for the '<em><b>Generator ID</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TextEditorModelPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModelPackage.html" title="interface in org.eclipse.papyrus.languages.designer.common.texteditor.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModelPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="TextEditorModelPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
